# Uses of Class
java.awt.Checkbox

Packages that use Checkbox
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

- ## Uses of Checkbox in java.awt

  Methods in java.awt that return Checkbox
  Modifier and Type
  Method
  Description
  `Checkbox`
  CheckboxGroup.`getCurrent()`
  Deprecated.
  As of JDK version 1.1, replaced by `getSelectedCheckbox()`.
  `Checkbox`
  CheckboxGroup.`getSelectedCheckbox()`
  Gets the current choice from this check box group.
  Methods in java.awt with parameters of type Checkbox
  Modifier and Type
  Method
  Description
  `void`
  CheckboxGroup.`setCurrent(Checkbox box)`
  Deprecated.
  As of JDK version 1.1, replaced by `setSelectedCheckbox(Checkbox)`.
  `void`
  CheckboxGroup.`setSelectedCheckbox(Checkbox box)`
  Sets the currently selected check box in this group to be the specified check box.